Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class BlockViewport

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.BlockParent
                  org.apache.fop.area.Block
                      org.apache.fop.area.BlockViewport

All Implemented Interfaces:
  java.io.Serializable

public class BlockViewport
extends Block

A BlockViewport. This is used for block level Viewport/reference pairs. The block-container creates this area.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.area.Block
`ABSOLUTE, allowBPDUpdate, FIXED, RELATIVE, STACK`

Fields inherited from class org.apache.fop.area.BlockParent
`children, xOffset, yOffset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`BlockViewport()` Create a new block viewport area.
`BlockViewport(boolean allowBPDUpdate)` Create a new block viewport area.

Method Summary
`boolean` | `getClip()` Get the clipping for this viewport.
`CTM` | `getCTM()` Get the transform of this block viewport.
`void` | `setClip(boolean cl)` Set the clipping for this viewport.
`void` | `setCTM(CTM ctm)` Set the transform of this viewport.

Methods inherited from class org.apache.fop.area.Block
`addBlock, addBlock, addLineArea, getPositioning, getStartIndent, isStacked, setPositioning`

Methods inherited from class org.apache.fop.area.BlockParent
`addChildArea, getChildAreas, getXOffset, getYOffset, isEmpty, setXOffset, setYOffset`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockViewport

    public BlockViewport()

  Create a new block viewport area.

### BlockViewport

    public BlockViewport(boolean allowBPDUpdate)

  Create a new block viewport area.

Parameters:
  `allowBPDUpdate` - true allows the BPD to be updated when children are added

Method Detail

### setCTM

    public void setCTM(CTM ctm)

  Set the transform of this viewport. If the viewport is rotated or has an absolute positioning this transform will do the work.

  Parameters:
    `ctm` - the transformation

### getCTM

    public CTM getCTM()

  Get the transform of this block viewport.

  Returns:
    the transformation of this viewport or null if normally stacked without rotation

### setClip

    public void setClip(boolean cl)

  Set the clipping for this viewport.

  Parameters:
    `cl` - the clipping for the viewport

### getClip

    public boolean getClip()

  Get the clipping for this viewport.

  Returns:
    the clipping for the viewport true if the contents should be clipped for this viewport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.